MVP.BRENT.Vg.Ve {rMVP} | R Documentation

## MVP.BRENT.Vg.Ve variance component estimation using the BRENT method

### Description

MVP.BRENT.Vg.Ve variance component estimation using the BRENT method

### Usage

    MVP.BRENT.Vg.Ve(y, X, eigenK, verbose = FALSE)

### Arguments

`y` | phenotype
`X` | covariate matrix, the first column is 1s
`eigenK` | eigen of Kinship matrix
`verbose` | whether to print detail.

### Value

vg, ve, and delta

### Examples

    phePath <- system.file("extdata", "07_other", "mvp.phe", package = "rMVP")
    phenotype <- read.table(phePath, header=TRUE)
    print(dim(phenotype))
    genoPath <- system.file("extdata", "06_mvp-impute", "mvp.imp.geno.desc", package = "rMVP")
    genotype <- attach.big.matrix(genoPath)
    print(dim(genotype))

    eigenK <- eigen(MVP.K.VanRaden(genotype))
    vc <- MVP.BRENT.Vg.Ve(y=phenotype[,2], X=matrix(1, nrow(phenotype)), eigenK=eigenK)
    print(vc)

[Package rMVP version 0.99.15 Index]